asciinema-cat(1)

NAME
asciinema-cat - Concatenate multiple recordings

SYNOPSIS
asciinema cat [-q|--quiet] [-h|--help] <FILE>

DESCRIPTION
Concatenate multiple recordings into one.

Combines two or more asciicast files in sequence, adjusting timing so each recording plays immediately after the previous one ends. Useful for creating longer recordings from multiple shorter sessions.

Note: in asciinema 2.x this command used to print raw terminal output for a given session file. If you're looking for this behavior then use `asciinema convert -f raw <FILE> -` instead.

OPTIONS

-q, --quiet
    Suppress diagnostic messages and progress indicators. Only error messages will be displayed.

-h, --help
    Print help (see a summary with '-h')

<FILE>
    List of recording files to concatenate. Provide at least two file paths (local files or HTTP(S) URLs). The files will be combined in the order specified. All files must be in asciicast format.

EXTRA
Examples:
  asciinema cat demo1.cast demo2.cast demo3.cast > combined.cast
      Combines local recordings into one file
  asciinema cat https://asciinema.org/a/569727 part2.cast > combined.cast
      Combines a remote and a local recording into one file